import React, { PureComponent } from "react";

class TwitterIcon extends PureComponent {
    render() {
        return (
            <svg
                xmlns="http://www.w3.org/2000/svg"
                xmlnsXlink="http://www.w3.org/1999/xlink"
                viewBox="0 0 24.405 19.83"
            >
                <path
                    fill="currentColor"
                    d="M24.405,9.358a8.809,8.809,0,0,1-2.784.8,5.384,5.384,0,0,0,2.1-2.746,8.11,8.11,0,0,1-3.127,1.106,5.256,5.256,0,0,0-3.661-1.525A5.029,5.029,0,0,0,11.9,12.028a5.177,5.177,0,0,0,.114,1.106A14.572,14.572,0,0,1,1.335,7.909,5.036,5.036,0,0,0,2.86,14.544a3.017,3.017,0,0,1-2.174-.534,4.836,4.836,0,0,0,3.89,4.919,4.045,4.045,0,0,1-2.1.153c.153,1.487,2.25,3.432,4.5,3.432A8.3,8.3,0,0,1,0,24.612a15.187,15.187,0,0,0,7.894,2.212A14.033,14.033,0,0,0,22,12.1v-.191A8.718,8.718,0,0,0,24.405,9.358Z"
                    transform="translate(0 -6.994)"
                />
            </svg>
        );
    }
}

export default TwitterIcon;
